 configdialog.cpp   |    4 ++--
 latexeditor.h      |    2 +-
 latexeditorview.h  |    2 +-
 latexhighlighter.h |    2 +-
 spellerdialog.h    |    2 +-
 texmaker.h         |    2 +-
 texmaker.pro       |   42 ++++++------------------------------------
 7 files changed, 13 insertions(+), 43 deletions(-)

diff --git a/configdialog.cpp b/configdialog.cpp
index 136072d..550db58 100644
--- a/configdialog.cpp
+++ b/configdialog.cpp
@@ -122,9 +122,9 @@ void ConfigDialog::browseAspell()
 QDir spelldir(QCoreApplication::applicationDirPath());
 #else
 #ifdef DEBIAN_SPELLDIR
-QDir spelldir(PREFIX"/share/myspell/dicts");
+QDir spelldir("@GENTOO_PORTAGE_EPREFIX@/usr/share/myspell");
 #else
-QDir spelldir(PREFIX"/share/texmaker");
+QDir spelldir("@GENTOO_PORTAGE_EPREFIX@/usr/share/texmaker");
 #endif
 #endif
 
diff --git a/latexeditor.h b/latexeditor.h
index b9b8d75..a9ec1ef 100644
--- a/latexeditor.h
+++ b/latexeditor.h
@@ -26,7 +26,7 @@
 #include <QTimer>
 
 #include "latexhighlighter.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 
 typedef  int UserBookmarkList[3];
 
diff --git a/latexeditorview.h b/latexeditorview.h
index c6cb362..2ecf876 100644
--- a/latexeditorview.h
+++ b/latexeditorview.h
@@ -22,7 +22,7 @@
 #include "gotolinewidget.h"
 #include "replacewidget.h"
 #include "minisplitter.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 
 class LatexEditorView : public QWidget  {
    Q_OBJECT
diff --git a/latexhighlighter.h b/latexhighlighter.h
index 83ca79c..a1e437a 100644
--- a/latexhighlighter.h
+++ b/latexhighlighter.h
@@ -20,7 +20,7 @@
 #include <QColor>
 #include <QTextBlockUserData>
 //#include "latexeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 
 class QTextDocument;
 class LatexEditor;
diff --git a/spellerdialog.h b/spellerdialog.h
index 83248ae..cd16dad 100644
--- a/spellerdialog.h
+++ b/spellerdialog.h
@@ -13,7 +13,7 @@
 
 #include "ui_spellerdialog.h"
 #include "latexeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 
 #include <QTextCursor>
 
diff --git a/texmaker.h b/texmaker.h
index fa56129..4b1367e 100644
--- a/texmaker.h
+++ b/texmaker.h
@@ -46,7 +46,7 @@
 #include "symbollistwidget.h"
 #include "xmltagslistwidget.h"
 #include "logeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
 #include "browser.h"
 #include "pdfviewerwidget.h"
 #include "pdfviewer.h"
diff --git a/texmaker.pro b/texmaker.pro
index 5c90e44..4513937 100644
--- a/texmaker.pro
+++ b/texmaker.pro
@@ -4,7 +4,8 @@ TARGET	 = texmaker
 QT += network \
       xml \
       webkit
-CONFIG	+= qt warn_off release
+CONFIG	+= qt warn_off release link_pkgconfig
+PKGCONFIG = hunspell
 TEXMAKERVERSION=3.1
 DEFINES += TEXMAKERVERSION=\\\"$${TEXMAKERVERSION}\\\"
 DEFINES += HAVE_SPLASH
@@ -62,25 +63,6 @@ HEADERS	+= texmaker.h \
 	usercompletiondialog.h \
 	synctex_parser.h \
 	synctex_parser_utils.h \
-	hunspell/affentry.hxx \
-	hunspell/affixmgr.hxx \
-	hunspell/atypes.hxx \
-	hunspell/baseaffix.hxx \
-	hunspell/csutil.hxx \
-	hunspell/dictmgr.hxx \
-	hunspell/hashmgr.hxx \
-	hunspell/htypes.hxx \
-	hunspell/hunspell.hxx \
-	hunspell/hunspell.h \
-	hunspell/langnum.hxx \
-	hunspell/license.hunspell \
-	hunspell/phonet.hxx \
-	hunspell/suggestmgr.hxx \
-	hunspell/license.myspell \
-	hunspell/filemgr.hxx \
-	hunspell/hunzip.hxx \
-	hunspell/replist.hxx \
-	hunspell/w_char.hxx \
 	singleapp/qtlocalpeer.h \
 	singleapp/qtlockedfile.h \
 	singleapp/qtsingleapplication.h \
@@ -162,18 +144,6 @@ SOURCES	+= main.cpp \
 	usercompletiondialog.cpp \
 	synctex_parser.c \
 	synctex_parser_utils.c \
-	hunspell/affentry.cxx \
-	hunspell/affixmgr.cxx \
-	hunspell/csutil.cxx \
-	hunspell/dictmgr.cxx \
-	hunspell/hashmgr.cxx \
-	hunspell/hunspell.cxx \
-	hunspell/phonet.cxx \
-	hunspell/suggestmgr.cxx \
-	hunspell/utf_info.cxx \
-	hunspell/filemgr.cxx \
-	hunspell/replist.cxx \
-	hunspell/hunzip.cxx \
 	singleapp/qtlocalpeer.cpp \
 	singleapp/qtlockedfile.cpp \
 	singleapp/qtsingleapplication.cpp \
@@ -262,13 +232,13 @@ isEmpty( ICONDIR ) {
     ICONDIR=/usr/share/pixmaps
 }
 
-INCLUDEPATH  += /usr/include/poppler/qt4
-LIBS         += -L/usr/lib -lpoppler-qt4
-LIBS         += -L/usr/lib -lz
+INCLUDEPATH  += @GENTOO_PORTAGE_EPREFIX@/usr/include/poppler/qt4
+LIBS         += -lpoppler-qt4
+LIBS         += -lz
 DEFINES += PREFIX=\\\"$${PREFIX}\\\"
 target.path = $${PREFIX}/bin
 
-#DEFINES += DEBIAN_SPELLDIR
+DEFINES += DEBIAN_SPELLDIR
 
 INSTALLS = target
 HEADERS	+= x11fontdialog.h 
